Loading...
Searching...
No Matches
gtsam::traits< Rot3 > Struct Reference
Inheritance diagram for gtsam::traits< Rot3 >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< Rot3 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Rot3 >))
Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< Rot3 >
static TangentVector | Logmap (const Rot3 &m, ChartJacobian Hm=boost::none)
static Rot3 | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Rot3 | Compose (const Rot3 &m1, const Rot3 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Rot3 | Between (const Rot3 &m1, const Rot3 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Rot3 | Inverse (const Rot3 &m, ChartJacobian H=boost::none)
static TangentVector | Local (const Rot3 &origin, const Rot3 &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static Rot3 | Retract (const Rot3 &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static Rot3 | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Rot3, Rot3::dimension >
static int | GetDimension (const Rot3 &)
Static Public Member Functions inherited from gtsam::Testable< Rot3 >
static void | Print (const Rot3 &m, const std::string &str="")
static bool | Equals (const Rot3 &m1, const Rot3 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::LieGroupTraits< Rot3 >
typedef lie_group_tag | structure_category
enum |
typedef Rot3 | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/Rot3.h